### Function

# GLib MainContext pusher_free

since: 2.64

#### Declaration [src]

    void
    g_main_context_pusher_free (
      GMainContextPusher* pusher
    )

#### Description [src]

Pop `pusher`’s main context as the thread default main context. See `g_main_context_pusher_new()` for details.

This will pop the `GMainContext` as the current thread-default main context, but will not call `g_main_context_unref()` on it.

Available since: 2.64

This function is not directly available to language bindings.

#### Parameters

`pusher`

  Type: `GMainContextPusher`

  A `GMainContextPusher`.

  The called function takes ownership of the data, and is responsible for freeing it.